local modName = select(1, ...)
local addon = LibStub("AceAddon-3.0"):GetAddon(modName)
local L	= LibStub("AceLocale-3.0"):GetLocale(modName)

----------------------------------------------------------
-- create the table of reputation names for easy lookup --
----------------------------------------------------------
addon.reputations = {
    [21]    = { ["faction"] = "",			["text"] = L["Booty Bay"], },
    [47]    = { ["faction"] = "Alliance",	["text"] = L["Ironforge"], },
    [54]    = { ["faction"] = "Alliance",	["text"] = L["Gnomeregan"], },
    [59]    = { ["faction"] = "",			["text"] = L["Thorium Brotherhood"], },
    [68]    = { ["faction"] = "Horde",		["text"] = L["Undercity"], },
    [69]    = { ["faction"] = "Alliance",	["text"] = L["Darnassus"], },
    [70]    = { ["faction"] = "",			["text"] = L["Syndicate"], },
    [72]    = { ["faction"] = "Alliance",	["text"] = L["Stormwind"], },
    [76]    = { ["faction"] = "",			["text"] = L["Orgrimmar"], },
    [81]    = { ["faction"] = "Horde",		["text"] = L["Thunder Bluff"], },
    [87]    = { ["faction"] = "",			["text"] = L["Bloodsail Buccaneers"], },
    [92]    = { ["faction"] = "",			["text"] = L["Gelkis Clan Centaur"], },
    [93]    = { ["faction"] = "",			["text"] = L["Magram Clan Centaur"], },
    [270]   = { ["faction"] = "",			["text"] = L["Zandalar Tribe"], },
    [349]   = { ["faction"] = "",			["text"] = L["Ravenholdt"], },
    [369]   = { ["faction"] = "",			["text"] = L["Gadgetzan"], },
    [470]   = { ["faction"] = "",			["text"] = L["Ratchet"], },
    [509]   = { ["faction"] = "Alliance",	["text"] = L["The League of Arathor"], },
    [510]   = { ["faction"] = "Horde",		["text"] = L["The Defilers"], },
    [529]   = { ["faction"] = "",			["text"] = L["Argent Dawn"], },
    [530]   = { ["faction"] = "Horde",		["text"] = L["Darkspear Trolls"], },
    [576]   = { ["faction"] = "",			["text"] = L["Timbermaw Hold"], },
    [577]   = { ["faction"] = "",			["text"] = L["Everlook"], },
    [589]   = { ["faction"] = "Alliance",	["text"] = L["Wintersaber Trainers"], },
    [609]   = { ["faction"] = "",			["text"] = L["Cenarion Circle"], },
    [729]   = { ["faction"] = "Horde",		["text"] = L["Frostwolf Clan"], },
    [730]   = { ["faction"] = "Alliance",	["text"] = L["Stormpike Guard"], },
    [749]   = { ["faction"] = "",			["text"] = L["Hydraxian Waterlords"], },
    [809]   = { ["faction"] = "",			["text"] = L["Shen'dralar"], },
    [889]   = { ["faction"] = "Horde",		["text"] = L["Warsong Outriders"], },
    [890]   = { ["faction"] = "Alliance",	["text"] = L["Silverwing Sentinels"], },
    [909]   = { ["faction"] = "",			["text"] = L["Darkmoon Faire"], },
    [910]   = { ["faction"] = "",			["text"] = L["Brood of Nozdormu"], },
    [911]   = { ["faction"] = "Horde",		["text"] = L["Silvermoon City"], },
    [922]   = { ["faction"] = "Horde",		["text"] = L["Tranquillien"], },
    [930]   = { ["faction"] = "Alliance",	["text"] = L["Exodar"], },
    [932]   = { ["faction"] = "",			["text"] = L["The Aldor"], },
    [933]   = { ["faction"] = "",			["text"] = L["The Consortium"], },
    [934]   = { ["faction"] = "",			["text"] = L["The Scryers"], },
    [935]   = { ["faction"] = "",			["text"] = L["The Sha'tar"], },
    [941]   = { ["faction"] = "Horde",		["text"] = L["The Mag'har"], },
    [942]   = { ["faction"] = "",			["text"] = L["Cenarion Expedition"], },
    [946]   = { ["faction"] = "Alliance",	["text"] = L["Honor Hold"], },
    [947]   = { ["faction"] = "Horde",		["text"] = L["Thrallmar"], },
    [967]   = { ["faction"] = "",			["text"] = L["The Violet Eye"], },
    [970]   = { ["faction"] = "",			["text"] = L["Sporeggar"], },
    [978]   = { ["faction"] = "Alliance",	["text"] = L["Kurenai"], },
    [989]   = { ["faction"] = "",			["text"] = L["Keepers of Time"], },
    [990]   = { ["faction"] = "",			["text"] = L["The Scale of the Sands"], },
    [1011]  = { ["faction"] = "",			["text"] = L["Lower City"], },
    [1012]  = { ["faction"] = "",			["text"] = L["Ashtongue Deathsworn"], },
    [1015]  = { ["faction"] = "",			["text"] = L["Netherwing"], },
    [1031]  = { ["faction"] = "",			["text"] = L["Sha'tari Skyguard"], },
    [1037]  = { ["faction"] = "Alliance",	["text"] = L["Alliance Vanguard"], },
    [1038]  = { ["faction"] = "",			["text"] = L["Ogri'la"], },
    [1050]  = { ["faction"] = "",			["text"] = L["Valiance Expedition"], },
    [1052]  = { ["faction"] = "Horde",		["text"] = L["Horde Expedition"], },
    [1064]  = { ["faction"] = "Horde",		["text"] = L["The Taunka"], },
    [1067]  = { ["faction"] = "Horde",		["text"] = L["The Hand of Vengeance"], },
    [1068]  = { ["faction"] = "Alliance",	["text"] = L["Explorers' League"], },
    [1073]  = { ["faction"] = "",			["text"] = L["The Kalu'ak"], },
    [1077]  = { ["faction"] = "",			["text"] = L["Shattered Sun Offensive"], },
    [1085]  = { ["faction"] = "Horde",		["text"] = L["Warsong Offensive"], },
    [1090]  = { ["faction"] = "",			["text"] = L["Kirin Tor"], },
    [1091]  = { ["faction"] = "",			["text"] = L["The Wyrmrest Accord"], },
    [1094]  = { ["faction"] = "Alliance",	["text"] = L["The Silver Covenant"], },
    [1098]  = { ["faction"] = "",			["text"] = L["Knights of the Ebon Blade"], },
    [1104]  = { ["faction"] = "",			["text"] = L["Frenzyheart Tribe"], },
    [1105]  = { ["faction"] = "",			["text"] = L["The Oracles"], },
    [1106]  = { ["faction"] = "",			["text"] = L["Argent Crusade"], },
    [1119]  = { ["faction"] = "",			["text"] = L["The Sons of Hodir"], },
    [1124]  = { ["faction"] = "Horde",		["text"] = L["The Sunreavers"], },
    [1126]  = { ["faction"] = "Alliance",	["text"] = L["The Frostborn"], },
    [1156]  = { ["faction"] = "",			["text"] = L["The Ashen Verdict"], },
	
	-- Cata
	[1135]	= { ["faction"] = "",			["text"] = L["The Earthen Ring"], },
	[1158]	= { ["faction"] = "",			["text"] = L["Guardians of Hyjal"], },
	[1171]	= { ["faction"] = "",			["text"] = L["Therazane"], },
	[1172]	= { ["faction"] = "Horde",		["text"] = L["Dragonmaw Clan"], },
	[1173]	= { ["faction"] = "",			["text"] = L["Ramkahen"], },
	[1174]	= { ["faction"] = "Alliance",	["text"] = L["Wildhammer Clan"], },
	[1177]	= { ["faction"] = "Alliance",	["text"] = L["Baradin's Wardens"], },
	[1178]	= { ["faction"] = "Horde",		["text"] = L["Hellscream's Reach"], },
}

-----------------------------------------------------------
-- create the table of items used in reputation hand-ins --
-----------------------------------------------------------
addon.repItems = {
	-- the ["text"] field is only required for the addon when the item name is not in the local cache
	-- this is a bizzard "feature" to stop data mining of items that are not in game yet or have been removed
	 
    -- Extra ingrediants -- this is only here for lookups when the user does not have this in cache
--	[4234]	= { ["major"] = false,	["bop"] = false,	["text"] = "Heavy Leather",					["entry"] = { { ["reputation"] = 59,  }, }, }, 
--	[3575]	= { ["major"] = false,	["bop"] = false,	["text"] = "Iron Bar",						["entry"] = { { ["reputation"] = 59,  }, }, },
--	[3356]	= { ["major"] = false,	["bop"] = false,	["text"] = "Kingsblood",					["entry"] = { { ["reputation"] = 59,  }, }, },
--	[3857]	= { ["major"] = false,	["bop"] = false,	["text"] = "Coal",							["entry"] = { { ["reputation"] = 59,  }, }, },
	[12735]	= { ["major"] = false,	["bop"] = true,		["text"] = "Frayed Abomination Stitching",	["entry"] = { { ["reputation"] = 809, }, }, },
	[12753]	= { ["major"] = false,	["bop"] = true,		["text"] = "Skin of Shadow",				["entry"] = { { ["reputation"] = 809, }, }, },
    [12938]	= { ["major"] = false,	["bop"] = true,		["text"] = "Blood of Heroes",				["entry"] = { { ["reputation"] = 809, }, }, },
	[14344]	= { ["major"] = false,	["bop"] = false,	["text"] = "Large Brilliant Shard",			["entry"] = { { ["reputation"] = 809, }, }, },
	[18335]	= { ["major"] = false,	["bop"] = false,	["text"] = "Pristine Black Diamond",		["entry"] = { { ["reputation"] = 809, }, }, },

    -- darkmoon faire
    [2309]	= { ["major"] = true,	["bop"] = false,	["text"] = "Embossed Leather Boots",		["entry"] = { { ["reputation"] = 909,	["quantity"] = 3,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [2314]	= { ["major"] = true,	["bop"] = false,	["text"] = "Toughened Leather Armor",		["entry"] = { { ["reputation"] = 909,	["quantity"] = 3,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [3240]	= { ["major"] = true,	["bop"] = false,	["text"] = "Coarse Weightstone",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [3486]	= { ["major"] = true,	["bop"] = false,	["text"] = "Heavy Grinding Stone",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 7,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [3835]	= { ["major"] = true,	["bop"] = false,	["text"] = "Green Iron Bracers",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 3,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [4363]	= { ["major"] = true,	["bop"] = false,	["text"] = "Copper Modulator",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 5,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [4375]	= { ["major"] = true,	["bop"] = false,	["text"] = "Whirring Bronze Gizmo",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 7,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [4582]	= { ["major"] = true,	["bop"] = false,	["text"] = "Soft Bushy Tail",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 5,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [5117]	= { ["major"] = true,	["bop"] = false,	["text"] = "Vibrant Plume",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 5,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [5134]	= { ["major"] = true,	["bop"] = false,	["text"] = "Small Furry Paw",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 5,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [5739]	= { ["major"] = true,	["bop"] = false,	["text"] = "Barbaric Harness",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 3,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [7945]	= { ["major"] = true,	["bop"] = false,	["text"] = "Big Black Mace",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [8185]	= { ["major"] = true,	["bop"] = false,	["text"] = "Turtle Scale Leggings",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [9313]	= { ["major"] = true,	["bop"] = false,	["text"] = "Green Firework",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 36,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [11404]	= { ["major"] = true,	["bop"] = false,	["text"] = "Evil Bat Eye",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [11407]	= { ["major"] = true,	["bop"] = false,	["text"] = "Torn Bear Pelt",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 5,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [11590]	= { ["major"] = true,	["bop"] = false,	["text"] = "Mechanical Repair Kit",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 6,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [12644]	= { ["major"] = true,	["bop"] = false,	["text"] = "Dense Grinding Stone",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 8,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [15564]	= { ["major"] = true,	["bop"] = false,	["text"] = "Rugged Armor Kit",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 8,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [15994]	= { ["major"] = true,	["bop"] = false,	["text"] = "Thorium Widget",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 6,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    [19933]	= { ["major"] = true,	["bop"] = false,	["text"] = "Glowing Scorpid Blood",			["entry"] = { { ["reputation"] = 909,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0,  1,  1,  0,  0,  0, }, }, }, },
    
    -- minor decks
    [42922] = { ["major"] = true,	["bop"] = false,	["text"] = "Swords Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [43039] = { ["major"] = true,	["bop"] = false,	["text"] = "Rogues Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [44184] = { ["major"] = true,	["bop"] = false,	["text"] = "Mages Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [44185] = { ["major"] = true,	["bop"] = false,	["text"] = "Demons Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    
    -- major decks
    [19228] = { ["major"] = true,	["bop"] = false,	["text"] = "Beasts Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [19257] = { ["major"] = true,	["bop"] = false,	["text"] = "Warlords Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [19267] = { ["major"] = true,	["bop"] = false,	["text"] = "Elementals Deck",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [19277] = { ["major"] = true,	["bop"] = false,	["text"] = "Portals Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
	[27664] = { ["major"] = true,	["bop"] = false,	["text"] = "Volcanic Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
	[27665]	= { ["major"] = true,	["bop"] = false,	["text"] = "Hurricane Deck",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
	[27666] = { ["major"] = true,	["bop"] = false,	["text"] = "Tsunami Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
	[27667] = { ["major"] = true,	["bop"] = false,	["text"] = "Earthquake Deck",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [31907] = { ["major"] = true,	["bop"] = false,	["text"] = "Furies Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [31890] = { ["major"] = true,	["bop"] = false,	["text"] = "Blessings Deck",				["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [31891] = { ["major"] = true,	["bop"] = false,	["text"] = "Storms Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [31914] = { ["major"] = true,	["bop"] = false,	["text"] = "Lunacy Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [44259] = { ["major"] = true,	["bop"] = false,	["text"] = "Prisms Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [44276] = { ["major"] = true,	["bop"] = false,	["text"] = "Chaos Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [44294] = { ["major"] = true,	["bop"] = false,	["text"] = "Undeath Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },
    [44326] = { ["major"] = true,	["bop"] = false,	["text"] = "Nobles Deck",					["entry"] = { { ["reputation"] = 909,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0,  1,  1,  1,  1,  1, }, }, }, },

    -- The rest are normal hand ins
    [11370] = { ["major"] = true,	["bop"] = false,	["text"] = "Dark Iron Ore",					["entry"] = { { ["reputation"] = 59,	["quantity"] = 10,	["handin"] = 300,	["available"] = {  0,  0,  0, 60, 60, 60, 60, 60, }, }, }, },
    [11382] = { ["major"] = true,	["bop"] = false,	["text"] = "Blood of the Mountain",			["entry"] = { { ["reputation"] = 59,	["quantity"] = 1,	["handin"] = 2000,	["available"] = {  0,  0,  0, 60, 60, 60, 60, 60, }, }, }, },
--  [12840] = { ["major"] = true,	["bop"] = true,		["text"] = "Minion's Scourgestone",			["entry"] = { { ["reputation"] = 529,	["quantity"] = 20,	["handin"] = 50,	["available"] = {  0,  0,  0, 50, 50, 50, 50, 50, }, }, }, },
--  [12841]	= { ["major"] = true,	["bop"] = true,		["text"] = "Invader's Scourgestone",		["entry"] = { { ["reputation"] = 529,	["quantity"] = 10,	["handin"] = 50,	["available"] = {  0,  0,  0, 50, 50, 50, 50, 50, }, }, }, },
--  [12843] = { ["major"] = true,	["bop"] = true,		["text"] = "Corruptor's Scourgestone",		["entry"] = { { ["reputation"] = 529,	["quantity"] = 1,	["handin"] = 50,	["available"] = {  0,  0,  0, 50, 50, 50, 50, 50, }, }, }, },
    [12844] = { ["major"] = true,	["bop"] = true,		["text"] = "Argent Dawn Valor Token",		["entry"] = { { ["reputation"] = 529,	["quantity"] = 1,	["handin"] = 20,	["available"] = {  0,  0,  0, 55, 55, 55, 55, 55, }, }, }, },
    [16885] = { ["major"] = true,	["bop"] = false,	["text"] = "Heavy Junkbox",					["entry"] = { { ["reputation"] = 349,	["quantity"] = 5,	["handin"] = 75,	["available"] = {  0,  0,  0, 50, 50, 50, 50, 50, }, }, }, },
    [17010] = { ["major"] = true,	["bop"] = false,	["text"] = "Fiery Core",					["entry"] = { { ["reputation"] = 59,	["quantity"] = 1,	["handin"] = 2000,	["available"] = {  0,  0,  0, 60, 60, 60, 60, 60, }, }, }, },
    [17011] = { ["major"] = true,	["bop"] = false,	["text"] = "Lava Core",						["entry"] = { { ["reputation"] = 59,	["quantity"] = 1,	["handin"] = 2000,	["available"] = {  0,  0,  0, 60, 60, 60, 60, 60, }, }, }, },
    [17012] = { ["major"] = true,	["bop"] = false,	["text"] = "Core Leather",					["entry"] = { { ["reputation"] = 59,	["quantity"] = 2,	["handin"] = 1400,	["available"] = {  0,  0,  0, 60, 60, 60, 60, 60, }, }, }, },
--  [17124] = { ["major"] = true,	["bop"] = true,		["text"] = "Syndicate Emblem",				["entry"] = { { ["reputation"] = 349,	["quantity"] = 1,	["handin"] = 250,	["available"] = {  0,  0,  0, 24,  0,  0,  0,  0, }, }, }, },
--	[18329]	= { ["major"] = true,	["bop"] = true,		["text"] = "Arcanum of Rapidity",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 500,	["available"] = {  0,  0,  0,  0, 60, 60, 60, 60, }, }, }, },
--	[18330] = { ["major"] = true,	["bop"] = true,		["text"] = "Arcanum of Focus",				["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 500,	["available"] = {  0,  0,  0,  0, 60, 60, 60, 60, }, }, }, },
--	[18331] = { ["major"] = true,	["bop"] = true,		["text"] = "Arcanum of Protection",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 500,	["available"] = {  0,  0,  0,  0, 60, 60, 60, 60, }, }, }, },
	[18332] = { ["major"] = true,	["bop"] = false,	["text"] = "Libram of Rapidity",			["entry"] = { { ["reputation"] = 809,	["quantity"] = 1,	["handin"] = 500,	["available"] = { 54, 54, 54, 54, 54, 54, 54, 54, },	["additional"] = { { {["id"] = 18335, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 14344, ["quantity"] = 2, ["vendor"] = false, }, {["id"] = 12938, ["quantity"] = 2, ["vendor"] = false, }, }, }, }, }, },	-- Pristine Black Diamond, Large Brilliant Shard x 2, Blood of Heroes x 2
	[18333] = { ["major"] = true,	["bop"] = false,	["text"] = "Libram of Focus",				["entry"] = { { ["reputation"] = 809,	["quantity"] = 1,	["handin"] = 500,	["available"] = { 54, 54, 54, 54, 54, 54, 54, 54, },	["additional"] = { { {["id"] = 18335, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 14344, ["quantity"] = 4, ["vendor"] = false, }, {["id"] = 12753, ["quantity"] = 2, ["vendor"] = false, }, }, }, }, }, },	-- Pristine Black Diamond, Large Brilliant Shard x 4, Skin of Shadow x 2 
	[18334] = { ["major"] = true,	["bop"] = false,	["text"] = "Libram of Protection",			["entry"] = { { ["reputation"] = 809,	["quantity"] = 1,	["handin"] = 500,	["available"] = { 54, 54, 54, 54, 54, 54, 54, 54, },	["additional"] = { { {["id"] = 18335, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 14344, ["quantity"] = 2, ["vendor"] = false, }, {["id"] = 12735, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },	-- Pristine Black Diamond, Large Brilliant Shard x 2, Frayed Abomination Stitching
--	[19698] = { ["major"] = true,	["bop"] = false,	["text"] = "Zulian Coin",					["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19699, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19700, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Razzashi Coin, Hakkari Coin
--	[19699] = { ["major"] = true,	["bop"] = false,	["text"] = "Razzashi Coin",					["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19698, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19700, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Zulian Coin, Hakkari Coin
--	[19700] = { ["major"] = true,	["bop"] = false,	["text"] = "Hakkari Coin",					["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19698, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19699, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Zulian Coin, Razzahi Coin
--	[19701] = { ["major"] = true,	["bop"] = false,	["text"] = "Gurubashi Coin",				["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19702, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19703, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Vilebranch Coin, Witherbark Coin
--	[19702] = { ["major"] = true,	["bop"] = false,	["text"] = "Vilebranch Coin",				["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19701, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19703, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Gurubashi Coin, Wittherbark Coin
--	[19703] = { ["major"] = true,	["bop"] = false,	["text"] = "Witherbark Coin",				["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19701, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19702, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Gurubashi Coin, Vilebranch Coin
--	[19704] = { ["major"] = true,	["bop"] = false,	["text"] = "Sandfury Coin",					["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19705, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19706, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Skullsplitter Coin, Bloodscalp Coin
--	[19705] = { ["major"] = true,	["bop"] = false,	["text"] = "Skullsplitter Coin",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19704, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19706, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Sandfury Coin, Bloodscalp Coin
--	[19706] = { ["major"] = true,	["bop"] = false,	["text"] = "Bloodscalp Coin",				["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, },	["additional"] = { { {["id"] = 19704, ["quantity"] = 1, ["vendor"] = false, }, {["id"] = 19705, ["quantity"] = 1, ["vendor"] = false, }, }, }, }, }, },					-- Sandfury Coin, Skulsplitter Coin	
--  [18944] = { ["major"] = true,	["bop"] = false,	["text"] = "Incendosaur Scale",				["entry"] = { { ["reputation"] = 59,	["quantity"] = 2,	["handin"] = 25,	["available"] = {  0,  0,  0, 45,  0,  0,  0,  0, },	["additional"] = { { {["id"] =  4234, ["quantity"] =10, ["vendor"] = false, }, {["id"] =  3857, ["quantity"] = 1, ["vendor"] = true, }, },								-- Heavy Leather, Coal
--																																																															   { {["id"] =  3575, ["quantity"] = 4, ["vendor"] = false, }, {["id"] =  3857, ["quantity"] = 1, ["vendor"] = true, }, },								-- Iron Bar, Coal
--																																																															   { {["id"] =  3356, ["quantity"] = 4, ["vendor"] = false, }, {["id"] =  3857, ["quantity"] = 1, ["vendor"] = true, }, }, }, }, }, },					-- Kingsblood, Coal
    [18945] = { ["major"] = true,	["bop"] = false,	["text"] = "Dark Iron Residue",				["entry"] = { { ["reputation"] = 59,	["quantity"] = 4,	["handin"] = 60,	["available"] = {  0,  0,  0,  0, 48,  0,  0,  0, }, }, }, },
--	[19707] = { ["major"] = true,	["bop"] = false,	["text"] = "Red Hakkari Bijou",				["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19708] = { ["major"] = true,	["bop"] = false,	["text"] = "Blue Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19709] = { ["major"] = true,	["bop"] = false,	["text"] = "Yellow Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19710] = { ["major"] = true,	["bop"] = false,	["text"] = "Orange Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19711] = { ["major"] = true,	["bop"] = false,	["text"] = "Green Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19712] = { ["major"] = true,	["bop"] = false,	["text"] = "Purple Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19713] = { ["major"] = true,	["bop"] = false,	["text"] = "Bronze Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19714] = { ["major"] = true,	["bop"] = false,	["text"] = "Silver Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19715] = { ["major"] = true,	["bop"] = false,	["text"] = "Gold Hakkari Bijou",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
--	[19858] = { ["major"] = true,	["bop"] = true,		["text"] = "Zandalar Honor Token",			["entry"] = { { ["reputation"] = 270,	["quantity"] = 1,	["handin"] = 50,	["available"] = {  0,  0,  0, 58, 58, 58, 58, 58, }, }, }, },
	[20404] = { ["major"] = true,	["bop"] = false,	["text"] = "Encrpyted Twilight Text",		["entry"] = { { ["reputation"] = 609,	["quantity"] = 10,	["handin"] = 500,	["available"] = { 57, 57, 57, 57, 57, 57, 57, 57, }, }, }, },
    [21229] = { ["major"] = true,	["bop"] = true,		["text"] = "Qiraji Lord's Insignia",		["entry"] = { { ["reputation"] = 910,	["quantity"] = 1,	["handin"] = 500,	["available"] = { 50, 50, 50, 50, 50, 50, 50, 50, }, },
																												  { ["reputation"] = 609,	["quantity"] = 10,	["handin"] = 100,	["available"] = { 50, 50, 50, 50, 50, 50, 50, 50, }, }, }, },
    [21230] = { ["major"] = true,	["bop"] = true,		["text"] = "Ancient Qiraji Artifact",		["entry"] = { { ["reputation"] = 910,	["quantity"] = 1,	["handin"] = 1000,	["available"] = { 50, 50, 50, 50, 50, 50, 50, 50, }, }, }, },
    [21377] = { ["major"] = true,	["bop"] = true,		["text"] = "Deadwood Headdress Feather",	["entry"] = { { ["reputation"] = 576,	["quantity"] = 5,	["handin"] = 2000,	["available"] = {  0,  0, 45, 45, 45, 45, 45, 45, }, }, }, },
    [21383] = { ["major"] = true,	["bop"] = true,		["text"] = "Winterfall Spirit Beads",		["entry"] = { { ["reputation"] = 576,	["quantity"] = 5,	["handin"] = 2000,	["available"] = {  0,  0, 50, 50, 50, 50, 50, 50, }, }, }, },
--	[22525] = { ["major"] = true,	["bop"] = false,	["text"] = "Crypt Fiend Parts",				["entry"] = { { ["reputation"] = 529,	["quantity"] = 30,	["handin"] = 20,	["available"] = {  0,  0,  0,  0, 60, 60, 60, 60, }, }, }, },
--	[22526] = { ["major"] = true,	["bop"] = false,	["text"] = "Bone Fragments",				["entry"] = { { ["reputation"] = 529,	["quantity"] = 30,	["handin"] = 20,	["available"] = {  0,  0,  0,  0, 55, 55, 55, 55, }, }, }, },
--	[22527] = { ["major"] = true,	["bop"] = false,	["text"] = "Core of Elements",				["entry"] = { { ["reputation"] = 529,	["quantity"] = 30,	["handin"] = 20,	["available"] = {  0,  0,  0,  0, 60, 60, 60, 60, }, }, }, },
--	[22528] = { ["major"] = true,	["bop"] = false,	["text"] = "Dark Iron Scraps",				["entry"] = { { ["reputation"] = 529,	["quantity"] = 30,	["handin"] = 20,	["available"] = {  0,  0,  0,  0, 55, 55, 55, 55, }, }, }, },
--	[22529] = { ["major"] = true,	["bop"] = false,	["text"] = "Savage Frond",					["entry"] = { { ["reputation"] = 529,	["quantity"] = 30,	["handin"] = 20,	["available"] = {  0,  0,  0,  0, 60, 60, 60, 60, }, }, }, },
    [24245] = { ["major"] = true,	["bop"] = false,	["text"] = "Glowcap",						["entry"] = { { ["reputation"] = 970,	["quantity"] = 10,	["handin"] = 750,	["available"] = {  0,  0,  0, 62,  0,  0,  0,  0, }, }, }, },
    [24246] = { ["major"] = true,	["bop"] = false,	["text"] = "Sanguine Hibiscus",				["entry"] = { { ["reputation"] = 970,	["quantity"] = 5,	["handin"] = 750,	["available"] = {  0,  0,  0,  0, 63, 63, 63, 63, }, }, }, },
    [24290] = { ["major"] = true,	["bop"] = false,	["text"] = "Mature Spore Sac",				["entry"] = { { ["reputation"] = 970,	["quantity"] = 10,	["handin"] = 750,	["available"] = {  0,  0, 61, 61,  0,  0,  0,  0, }, }, }, },
    [24291] = { ["major"] = true,	["bop"] = false,	["text"] = "Bog Lord Tendril",				["entry"] = { { ["reputation"] = 970,	["quantity"] = 6,	["handin"] = 750,	["available"] = {  0,  0, 61, 61,  0,  0,  0,  0, }, }, }, },
    [24368] = { ["major"] = true,	["bop"] = false,	["text"] = "Coilfang Armaments",			["entry"] = { { ["reputation"] = 942,	["quantity"] = 1,	["handin"] = 75,	["available"] = {  0,  0,  0, 70, 70, 70, 70, 70, }, }, }, },
    [24401] = { ["major"] = true,	["bop"] = false,	["text"] = "Unidentified Plant Parts",		["entry"] = { { ["reputation"] = 942,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0, 60, 60,  0,  0,  0, }, }, }, },
    [24407] = { ["major"] = true,	["bop"] = true,		["text"] = "Uncatalogued Species",			["entry"] = { { ["reputation"] = 942,	["quantity"] = 1,	["handin"] = 500,	["available"] = {  0,  0,  0, 60, 60, 60,  0,  0, }, }, }, },
    [24449] = { ["major"] = true,	["bop"] = false,	["text"] = "Fertile Spores",				["entry"] = { { ["reputation"] = 970,	["quantity"] = 6,	["handin"] = 750,	["available"] = {  0,  0,  0, 62, 62, 62, 62, 62, }, }, }, },
    [25416] = { ["major"] = true,	["bop"] = false,	["text"] = "Oshu'gun Crystal Fragment",		["entry"] = { { ["reputation"] = 933,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0, 64,  0,  0,  0,  0, }, }, }, },
    [25433] = { ["major"] = true,	["bop"] = true,		["text"] = "Obsidian Warbeads",				["entry"] = { { ["reputation"] = 933,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0,  0, 67, 67, 67, 67, }, },
																												  { ["reputation"] = 941,	["quantity"] = 10,	["handin"] = 500,	["available"] = {  0,  0,  0, 65, 65, 65, 65, 65, }, },
																												  { ["reputation"] = 978,	["quantity"] = 10,	["handin"] = 500,	["available"] = {  0,  0,  0,  0, 65, 65, 65, 65, }, }, }, }, 
    [25463] = { ["major"] = true,	["bop"] = false,	["text"] = "Pair of Ivory Tusks",			["entry"] = { { ["reputation"] = 933,	["quantity"] = 3,	["handin"] = 250,	["available"] = {  0,  0,  0, 64,  0,  0,  0,  0, }, }, }, },
    [25719] = { ["major"] = true,	["bop"] = false,	["text"] = "Arakkoa Feather",				["entry"] = { { ["reputation"] = 1011,	["quantity"] = 30,	["handin"] = 250,	["available"] = {  0,  0,  0, 62, 62,  0,  0,  0, }, }, }, },
    [25744] = { ["major"] = true,	["bop"] = false,	["text"] = "Dampscale Basilisk Eye",		["entry"] = { { ["reputation"] = 934,	["quantity"] = 8,	["handin"] = 250,	["available"] = { 62, 62, 62,  0,  0,  0,  0,  0, }, },
																												  { ["reputation"] = 935,	["quantity"] = 8,	["handin"] = 125,	["available"] = { 62, 62, 62,  0,  0,  0,  0,  0, }, }, }, },
    [25802] = { ["major"] = true,	["bop"] = false,	["text"] = "Dreadfang Venom Sack",			["entry"] = { { ["reputation"] = 932,	["quantity"] = 8,	["handin"] = 250,	["available"] = { 62, 62, 62,  0,  0,  0,  0,  0, }, },
																												  { ["reputation"] = 935,	["quantity"] = 8,	["handin"] = 125,	["available"] = { 62, 62, 62,  0,  0,  0,  0,  0, }, }, }, },
    [29209] = { ["major"] = true,	["bop"] = true,		["text"] = "Zaxxis Insignia",				["entry"] = { { ["reputation"] = 933,	["quantity"] = 10,	["handin"] = 250,	["available"] = {  0,  0,  0,  0, 67, 67, 67, 67, }, }, }, },
    [29425] = { ["major"] = true,	["bop"] = false,	["text"] = "Mark of Kil'jaeden",			["entry"] = { { ["reputation"] = 932,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 62, 62,  0,  0,  0, }, },
    																											  { ["reputation"] = 935,	["quantity"] = 1,	["handin"] = 12.5,	["available"] = {  0,  0,  0, 62, 62,  0,  0,  0, }, }, }, },
    [29426] = { ["major"] = true,	["bop"] = false,	["text"] = "Firewing Signet",				["entry"] = { { ["reputation"] = 934,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 62, 62,  0,  0,  0, }, },
    																											  { ["reputation"] = 935,	["quantity"] = 1,	["handin"] = 12.5,	["available"] = {  0,  0,  0, 62, 62,  0,  0,  0, }, }, }, },
    [29460] = { ["major"] = true,	["bop"] = false,	["text"] = "Ethereum Prison Key",			["entry"] = { { ["reputation"] = 933,	["quantity"] = 5,	["handin"] = 500,	["available"] = {  0,  0,  0,  0,  0,  0, 70, 70, }, }, }, },
    [29739] = { ["major"] = true,	["bop"] = false,	["text"] = "Arcane Tome",					["entry"] = { { ["reputation"] = 934,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0, 64, 64, 64, 64, 64, }, },
																												  { ["reputation"] = 935,	["quantity"] = 1,	["handin"] = 175,	["available"] = {  0,  0,  0, 64, 64,  0,  0,  0, }, }, }, },
    [29740] = { ["major"] = true,	["bop"] = false,	["text"] = "Fel Armament",					["entry"] = { { ["reputation"] = 932,	["quantity"] = 1,	["handin"] = 350,	["available"] = {  0,  0,  0, 64, 64, 64, 64, 64, }, },
																												  { ["reputation"] = 935,	["quantity"] = 1,	["handin"] = 175,	["available"] = {  0,  0,  0, 64, 64,  0,  0,  0, }, }, }, },
    [30809] = { ["major"] = true,	["bop"] = false,	["text"] = "Mark of Sargeras",				["entry"] = { { ["reputation"] = 932,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 68, 68, 68, 68, 68, }, },
    																											  { ["reputation"] = 935,	["quantity"] = 1,	["handin"] = 12.5,	["available"] = {  0,  0,  0, 68, 68, 68, 68, 68, }, }, }, },
    [30810]	= { ["major"] = true,	["bop"] = false,	["text"] = "Sunfury Signet",				["entry"] = { { ["reputation"] = 934,	["quantity"] = 1,	["handin"] = 25,	["available"] = {  0,  0,  0, 68, 68, 68, 68, 68, }, },
    																											  { ["reputation"] = 935,	["quantity"] = 1,	["handin"] = 12.5,	["available"] = {  0,  0,  0, 68, 68, 68, 68, 68, }, }, }, },
    [31957] = { ["major"] = true,	["bop"] = true,		["text"] = "Ethereum Prisoner I.D. Tag",	["entry"] = { { ["reputation"] = 933,	["quantity"] = 1,	["handin"] = 250,	["available"] = {  0,  0,  0,  0,  0, 70, 70, 70, }, }, }, },
    [32388] = { ["major"] = true,	["bop"] = false,	["text"] = "Shadow Dust",					["entry"] = { { ["reputation"] = 1031,	["quantity"] = 6,	["handin"] = 150,	["available"] = {  0,  0,  0, 70, 70, 70, 70, 70, }, }, }, },
    [32506] = { ["major"] = true,	["bop"] = true,		["text"] = "Netherwing Egg",				["entry"] = { { ["reputation"] = 1015,	["quantity"] = 1,	["handin"] = 250,	["available"] = {  0,  0,  0, 70, 70, 70, 70, 70, }, }, }, },
    [32643] = { ["major"] = true,	["bop"] = true,		["text"] = "Darkrune",						["entry"] = { { ["reputation"] = 1038,	["quantity"] = 1,	["handin"] = 10,	["available"] = {  0,  0,  0,  0,  0, 70, 70, 70, }, }, }, },
    [35188] = { ["major"] = true,	["bop"] = true,		["text"] = "Nesingwary Lackey Ear",			["entry"] = { { ["reputation"] = 942,	["quantity"] = 15,	["handin"] = 150,	["available"] = {  0,  0,  0, 72, 72, 72, 72, 72, }, }, }, },
    [33784] = { ["major"] = true,	["bop"] = true,		["text"] = "Darkrune Fragment",				["entry"] = { { ["reputation"] = 1038,	["quantity"] = 5,	["handin"] = 10,	["available"] = {  0,  0,  0,  0,  0, 70, 70, 70, }, }, }, },
    [42780] = { ["major"] = true,	["bop"] = false,	["text"] = "Relic of Ulduar",				["entry"] = { { ["reputation"] = 1119,	["quantity"] = 10,	["handin"] = 310,	["available"] = {  0,  0,  0, 77, 77, 77, 77, 77, }, }, }, },
    [44724] = { ["major"] = true,	["bop"] = true,		["text"] = "Everfrost Chip",				["entry"] = { { ["reputation"] = 1119,	["quantity"] = 1,	["handin"] = 455,	["available"] = {  0,  0,  0,  0, 77, 77, 77, 77, }, }, }, },
    
    -- the next on is just for testing and does not need to be here
	--[159]	= { ["major"] = true,	["bop"] = false,	["text"] = "refreshing spring water",		["entry"] = { { ["reputation"] = 933,	["quantity"] = 1,	["handin"] = 100,		["available"] = {  0,  0,  0,  0,  0,  0,  0,  0, }, },
	--																											  { ["reputation"] = 941,	["quantity"] = 1,	["handin"] = 50,		["available"] = {  0,  0,  0,  0,  0,  0,  0,  0, }, },
	--																											  { ["reputation"] = 978,	["quantity"] = 1,	["handin"] = 50,		["available"] = {  0,  0,  0,  0,  0,  0,  0,  0, }, }, }, },
}
